"use strict";

// PLACEHOLDER-ADEIRA-UNIVERSE-INTERNAL
// Async script called via execFileSync from Babel plugin
// Params are passed as a JSON stringified object with two props:
//
// options - see https://tailwindcss.com/docs/configuration
// cacheFile - full path to cache file


var fs = require('fs');

var _require = require('@adeira/sx-tailwind'),
    generateTailwind = _require.generateTailwind;

var resolveConfig = require('tailwindcss/resolveConfig');

try {
  var _JSON$parse = JSON.parse(process.argv[2]),
      options = _JSON$parse.options,
      cacheFile = _JSON$parse.cacheFile;

  var config = resolveConfig(options);
  generateTailwind(config).then(function (_ref) {
    var styles = _ref.styles,
        keyframes = _ref.keyframes;
    fs.writeFileSync(cacheFile, JSON.stringify({
      keyframes: keyframes,
      styles: styles
    }));
  });
} catch (e) {}